#!/usr/bin/bash

PALETA="17,26,25,24,15,16,0,3,19,2,4,5,6,7,8,9"

# Genera el asm correspondiente a los sprites del gato y los tiles des escenario
img2cpc -fwp $PALETA -of asm -m 0 -o src/gTiles -abn -bn Tile -nt -h 32 -w 16 data/tiles.png
img2cpc -fwp $PALETA -of asm -m 0 -o src/gGato -abn -bn Gato -h 32 -w 16 data/gato.png

# # Genera el asm correspondiente a la fuente para letras y numeros
img2cpc -fwp $PALETA -of asm -m 0 -o src/gNumeros -abn -bn Numero -h 16 -w 8 data/numeros.png

# Ensambla todo
echo "Ensamblando todo..."
cd src
pasmo main.asm ../longato.bin ../longato.symbol
echo "Creando imagen DSK..."
cd ..
iDSK longato.dsk -n
iDSK longato.dsk -i longato.bin -e 100 -c 100 -t 1

echo "¡HECHO!"