MEM_VIDEO            EQU #C000
MEM_VIDEO_TAM        EQU #4000
LINEAS_POR_PANTALLA  EQU 200

; Dimensiones del tablero
MAX_FILAS            EQU 6
MAX_COLUMNAS         EQU 10

; Colores de la paleta
COLOR_BLACK          EQU #54  ; 0
COLOR_BLUE           EQU #44  ; 1
COLOR_BRIGHT_BLUE    EQU #55  ; 2
COLOR_RED            EQU #5C 	; 3
COLOR_MAGENTA        EQU #58  ; 4
COLOR_MAUVE          EQU #5D  ; 5
COLOR_BRIGHT_RED     EQU #4C 	; 6
COLOR_PURPLE         EQU #45  ; 7
COLOR_BRIGHT_MAGENTA EQU #4D  ; 8
COLOR_GREEN          EQU #56  ; 9
COLOR_CYAN           EQU #46 	; 10
COLOR_SKY_BLUE       EQU #57  ; 11
COLOR_YELLOW         EQU #5E  ; 12
COLOR_WHITE          EQU #40  ; 13
COLOR_PASTEL_BLUE    EQU #5F  ; 14
COLOR_ORANGE         EQU #4E  ; 15
COLOR_PINK           EQU #47  ; 16
COLOR_PASTEL_MAGENTA EQU #4F  ; 17
COLOR_BRIGHT_GREEN   EQU #52  ; 18
COLOR_SEA_GREEN      EQU #42  ; 19
COLOR_BRIGHT_CYAN    EQU #53  ; 20
COLOR_LIME           EQU #5A  ; 21
COLOR_PASTEL_GREEN   EQU #59  ; 22
COLOR_PASTEL_CYAN    EQU #5B  ; 23 
COLOR_BRIGHT_YELLOW  EQU #4A  ; 24 
COLOR_PASTEL_YELLOW  EQU #43  ; 25
COLOR_BRIGHT_WHITE   EQU #4B  ; 26

; Bits para comprobar teclas pulsadas
; sobre MAPA_TECLADO
; Fila 0
KEY_INTRO_MASK       EQU 7
KEY_DOWN_MASK        EQU 2
KEY_RIGHT_MASK       EQU 1
KEY_UP_MASK          EQU 0
; Fila 1
KEY_LEFT_MASK        EQU 0
; Fila 2
KEY_RETURN_MASK      EQU 2
; Fila 3
KEY_P_MASK           EQU 3
; Fila 4
KEY_O_MASK           EQU 1
; Fila 5
KEY_SPACE_MASK       EQU 7
; Fila 8
KEY_A_MASK           EQU 5
KEY_Q_MASK           EQU 3
KEY_ESC_MASK         EQU 2
; Fila 9
KEY_JOY_FIRE_MASK    EQU 4
KEY_JOY_RIGHT_MASK   EQU 3
KEY_JOY_LEFT_MASK    EQU 2
KEY_JOY_DOWN_MASK    EQU 1
KEY_JOY_UP_MASK      EQU 0

; Bits para comprobar teclas pulsadas
; sobre TECLAS_PULSADAS
KEY_RETURN     EQU 6
KEY_ESCAPE     EQU 5
KEY_FIRE       EQU 4
KEY_RIGHT      EQU 3
KEY_LEFT       EQU 2
KEY_DOWN       EQU 1
KEY_UP         EQU 0

; Direcciones del movimiento del gato
DIR_STOP       EQU 0
DIR_UP         EQU 1
DIR_DOWN       EQU 2
DIR_LEFT       EQU 3
DIR_RIGHT      EQU 4

; Posicion del indicador de numero de pantalla
POSICION_NUMERO_PANTALLA   EQU #C050

; Numero de pasos de la animacion del menu principal
; (numero de valores en ANIM_MENU_X y ANIM_MENU_Y)
ANIM_MENU_FRAMES EQU 28

; Numero de la ultima pantalla, para comprobar si
; nos hemos acabado el juego
ULTIMA_PANTALLA   EQU 99  ; 0..99