PALETA:
   ; Color transparente para los sprites con mascara (17)
   DB COLOR_PASTEL_MAGENTA 
   ; Colores del gato (26, 25, 24, 15, 16, 0)
   DB COLOR_BRIGHT_WHITE, COLOR_PASTEL_YELLOW, COLOR_BRIGHT_YELLOW, COLOR_ORANGE, COLOR_PINK, COLOR_BLACK
   ; Color de las sombras de los tiles (3)
   DB COLOR_RED
   ; Color de fondo (19)
   DB COLOR_SEA_GREEN
   DB COLOR_BRIGHT_BLUE, COLOR_MAGENTA
   DB COLOR_MAUVE, COLOR_BRIGHT_RED, COLOR_PURPLE, COLOR_BRIGHT_MAGENTA, COLOR_GREEN

; Posibles colores para el suelo. Varia con cada pantalla.
COLORES_FONDO DB COLOR_PASTEL_CYAN, COLOR_PASTEL_GREEN, COLOR_LIME, COLOR_BRIGHT_CYAN, COLOR_SEA_GREEN, COLOR_BRIGHT_GREEN, COLOR_PASTEL_YELLOW, COLOR_PURPLE

TABLA_SCANLINES DS LINEAS_POR_PANTALLA*2 ; Direcciones de inicio de cada linea de pantalla

MAPA_TECLADO DS 10   ; Estado de todas las teclas del teclado

; Estado actual de las teclas pulsadas
; Bits: (MSB) N/A, ENTER, ESC, FIRE, RIGHT, LEFT, DOWN, UP (LSB)
TECLAS_PULSADAS DB 0

; Direcciones de los tiles del escenario
TABLA_TILES    DW Tile_0, Tile_1, Tile_2, Tile_3, Tile_4, Tile_5, Tile_6, Tile_7

; Posicion actual del gato
GATO_Y      DB 2
GATO_X      DB 3
; Posicion del gato en el siguiente frame
GATO_Y_NEXT DB 2
GATO_X_NEXT DB 3

; Indica si el gato esta parado o esta moviendose (y en que direccion)
GATO_MUEVE  DB 0  ; DIR_STOP, DIR_UP, DIR_DOWN, DIR_LEFT, DIR_RIGHT
GATO_MUEVE_NEXT   DB 0

; 1 si el gato esta bloqueado y debemos reiniciar la pantalla, 0 en otro caso
GAME_OVER   DB 0

; Puntero a la definicion de la pantalla actual
PANTALLA    DW Pantalla1

; Lista de punteros a las pantalla
LISTA_PANTALLAS DW Pantalla1, Pantalla2, Pantalla3, Pantalla4, Pantalla5, Pantalla6, Pantalla7, Pantalla8, Pantalla9, Pantalla10
                DW Pantalla11, Pantalla12, Pantalla13, Pantalla14, Pantalla15, Pantalla16, Pantalla17, Pantalla18, Pantalla19, Pantalla20
                DW Pantalla21, Pantalla22, Pantalla23, Pantalla24, Pantalla25, Pantalla26, Pantalla27, Pantalla28, Pantalla29, Pantalla30
                DW Pantalla31, Pantalla32, Pantalla33, Pantalla34, Pantalla35, Pantalla36, Pantalla37, Pantalla38, Pantalla39, Pantalla40
                DW Pantalla41, Pantalla42, Pantalla43, Pantalla44, Pantalla45, Pantalla46, Pantalla47, Pantalla48, Pantalla49, Pantalla50
                DW Pantalla51, Pantalla52, Pantalla53, Pantalla54, Pantalla55, Pantalla56, Pantalla57, Pantalla58, Pantalla59, Pantalla60
                DW Pantalla61, Pantalla62, Pantalla63, Pantalla64, Pantalla65, Pantalla66, Pantalla67, Pantalla68, Pantalla69, Pantalla70
                DW Pantalla71, Pantalla72, Pantalla73, Pantalla74, Pantalla75, Pantalla76, Pantalla77, Pantalla78, Pantalla79, Pantalla80
                DW Pantalla81, Pantalla82, Pantalla83, Pantalla84, Pantalla85, Pantalla86, Pantalla87, Pantalla88, Pantalla89, Pantalla90
                DW Pantalla91, Pantalla92, Pantalla93, Pantalla94, Pantalla95, Pantalla96, Pantalla97, Pantalla98, Pantalla99, Pantalla100


; Numero de pantalla actual
PANTALLA_NUM      DB 0

; Numero de pantalla actual en BCD (para el marcador)
PANTALLA_NUM_BCD  DB 0

; Buffer donde se copia la pantalla actual para ir modificandola segun avanza el gato
PANTALLA_BUFFER DS MAX_COLUMNAS*MAX_FILAS

; Contador de frames para reducir la velocidad a 25Hz
CONTADOR_FRAMES DB 0

; 0 si no hay tecla pulsada, 1 si hay tecla pulsada
TECLA_PULSADA DB 0

; Animacion del gato en el menu principal. Son las coordenadas (X,Y)
; por donde se va moviendo el gato a lo largo de la animacion (28 pasos)
ANIM_MENU_X DB 0,1,2,3,4,5,6,7,8,9
            DB 9,9,9,9,9
            DB 8,7,6,5,4,3,2,1,0
            DB 0,0,0,0
ANIM_MENU_Y DB 0,0,0,0,0,0,0,0,0,0
            DB 1,2,3,4,5
            DB 5,5,5,5,5,5,5,5,5
            DB 4,3,2,1
; Grafico Gato_0x que va pintando en cada una de esas posiciones
ANIM_MENU_CUERPO DB 1,1,1,1,1,1,1,1,1,4
                 DB 2,2,2,2,5
                 DB 1,1,1,1,1,1,1,1
                 DB 6,2,2,2,2
; 0 si la animacion borra el cuerpo, 1 si lo pinta
ANIM_MENU_ESTADO DB 0
; Numero de veces que se ha repetido la animacion
ANIM_MENU_CICLOS DB 0

; Textos
TEXTO_MENU DB "LONGATO", #FF
TEXTO_MENU_IDEA1 DB "@IDEA@@ORIGINAL@", #FF
TEXTO_MENU_IDEA2 DB "@@MARTIN@MAGNI@@", #FF
TEXTO_MENU_CPC1 DB "@@VERSION@@CPC@@", #FF
TEXTO_MENU_CPC2 DB "@@@RETROPARLA@@@", #FF
TEXTO_MENU_PULSA1 DB "@@@@@@@@@@@@@@@@", #FF
TEXTO_MENU_PULSA2 DB "PULSA@UNA@TECLA", #FF
TEXTO_SALIR_JUEGO DB "@@[SALIR@S","\\","N]@@", #FF
TEXTO_FIN_JUEGO1  DB "@^FELICIDADES_", #FF
TEXTO_FIN_JUEGO2  DB "@^LO@HAS@HECHO", #FF
TEXTO_FIN_JUEGO3  DB "@MIAUUUU@BIEN_", #FF

; Buffer de memoria usado para guardar el fondo al pintar el texto de salir del juego
BUFFER_PANTALLA DS 80*16   ; 80 bytes por linea * 16 lineas